Index: WAeUP_SRP/trunk/profiles/default/layouts/student_pastoral_report.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_pastoral_report.xml	(revision 3803)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_pastoral_report.xml	(revision 3804)
@@ -319,4 +319,19 @@
 
 
+ <widget name="house_staff" meta_type="String Widget">
+  <property name="title">Name</property>
+  <property name="description">House Staff</property>
+  <property name="fields">
+   <element value="house_staff"/>
+  </property>
+  <property name="label">Name</property>
+  <property name="label_edit">House Staff Name</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
+
   <table>
   <row>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 3803)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 3804)
@@ -17,4 +17,5 @@
  <field name="request_date" meta_type="CPS DateTime Field"/>
  <field name="cleared_date" meta_type="CPS DateTime Field"/>
+ <field name="clearance_officer" meta_type="CPS String Field"/>
 
  <field name="birthday" meta_type="CPS DateTime Field"/>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_pastoral_report.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_pastoral_report.xml	(revision 3803)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_pastoral_report.xml	(revision 3804)
@@ -26,4 +26,5 @@
  <field name="care_environment" meta_type="CPS String Field"/>
  <field name="eating_habits" meta_type="CPS String Field"/>
+ <field name="house_staff" meta_type="CPS String Field"/>
  
 </object>
Index: WAeUP_SRP/trunk/profiles/uniben/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/uniben/layouts/student_clearance.xml	(revision 3803)
+++ WAeUP_SRP/trunk/profiles/uniben/layouts/student_clearance.xml	(revision 3804)
@@ -237,4 +237,5 @@
  <widget name="clr_ac_pin" meta_type="Scratchcard Pin Widget">
   <property name="title">Access Code</property>
+  <property name="description">Clearance Process</property>
   <property name="fields">
    <element value="clr_ac_pin"/>
@@ -800,4 +801,20 @@
   <property name="render_format">radio</property>
  </widget>
+
+ <widget name="clearance_officer" meta_type="String Widget">
+  <property name="title">Clearance Officer</property>
+  <property name="fields">
+   <element value="clearance_officer"/>
+  </property>
+  <property name="label">Clearance Officer</property>
+  <property name="label_edit">Clearance Officer</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget> 
+ 
  <table>
   <row>
@@ -817,4 +834,130 @@
   </row>
   <row>
+   <cell name="birthday"/>
+  </row>
+  <row>
+   <cell name="lga"/>
+  </row>
+  <row>
+   <cell name="nationality"/>
+  </row>
+  <row>
+   <cell name="fst_sit_fname"/>
+  </row>
+  <row>
+   <cell name="fst_sit_no"/>
+  </row>
+  <row>
+   <cell name="fst_sit_date"/>
+  </row>
+  <row>
+   <cell name="fst_sit_type"/>
+  </row>
+  <row>
+   <cell name="fst_sit_results"/>
+  </row>
+  <row>
+   <cell name="fst_sit_scan"/>
+  </row>
+  <row>
+   <cell name="scd_sit_fname"/>
+  </row>
+  <row>
+   <cell name="scd_sit_no"/>
+  </row>
+  <row>
+   <cell name="scd_sit_date"/>
+  </row>
+  <row>
+   <cell name="scd_sit_type"/>
+  </row>
+  <row>
+   <cell name="scd_sit_results"/>
+  </row>
+  <row>
+   <cell name="scd_sit_scan"/>
+  </row>
+  <row>
+   <cell name="alr_fname"/>
+  </row>
+  <row>
+   <cell name="alr_no"/>
+  </row>
+  <row>
+   <cell name="alr_date"/>
+  </row>
+  <row>
+   <cell name="alr_results"/>
+  </row>
+  <row>
+   <cell name="alr_scan"/>
+  </row>
+  <row>
+   <cell name="hq_type"/>
+  </row>
+  <row>
+   <cell name="hq_grade"/>
+  </row>
+  <row>
+   <cell name="hq_school"/>
+  </row>
+  <row>
+   <cell name="hq_matric_no"/>
+  </row>
+  <row>
+   <cell name="hq_session"/>
+  </row>
+  <row>
+   <cell name="hq_disc"/>
+  </row>
+  <row>
+   <cell name="hq_scan"/>
+  </row>
+  <row>
+   <cell name="birth_certificate"/>
+  </row>
+  <row>
+   <cell name="lga_ident"/>
+  </row>
+  <row>
+   <cell name="acc_let"/>
+  </row>
+  <row>
+   <cell name="jamb_slip"/>
+  </row>
+  <row>
+   <cell name="cert"/>
+  </row>
+  <row>
+   <cell name="evid"/>
+  </row>
+  <row>
+   <cell name="jamb_let"/>
+  </row>
+  <row>
+   <cell name="res_stat"/>
+  </row>
+  <row>
+   <cell name="ref_let"/>
+  </row>
+  <row>
+   <cell name="cred"/>
+  </row>
+  <row>
+   <cell name="stat_dec"/>
+  </row>
+  <row>
+   <cell name="age_dec"/>
+  </row>
+  <row>
+   <cell name="acc_inst"/>
+  </row>
+  <row>
+   <cell name="uniben"/>
+  </row>
+  <row>
+   <cell name="def_adm"/>
+  </row> 
+  <row>
    <cell name="clr_ac_pin"/>
   </row>
@@ -827,130 +970,7 @@
   <row>
    <cell name="cleared_date"/>
-  </row>
-  <row>
-   <cell name="birthday"/>
-  </row>
-  <row>
-   <cell name="lga"/>
-  </row>
-  <row>
-   <cell name="nationality"/>
-  </row>
-  <row>
-   <cell name="fst_sit_fname"/>
-  </row>
-  <row>
-   <cell name="fst_sit_no"/>
-  </row>
-  <row>
-   <cell name="fst_sit_date"/>
-  </row>
-  <row>
-   <cell name="fst_sit_type"/>
-  </row>
-  <row>
-   <cell name="fst_sit_results"/>
-  </row>
-  <row>
-   <cell name="fst_sit_scan"/>
-  </row>
-  <row>
-   <cell name="scd_sit_fname"/>
-  </row>
-  <row>
-   <cell name="scd_sit_no"/>
-  </row>
-  <row>
-   <cell name="scd_sit_date"/>
-  </row>
-  <row>
-   <cell name="scd_sit_type"/>
-  </row>
-  <row>
-   <cell name="scd_sit_results"/>
-  </row>
-  <row>
-   <cell name="scd_sit_scan"/>
-  </row>
-  <row>
-   <cell name="alr_fname"/>
-  </row>
-  <row>
-   <cell name="alr_no"/>
-  </row>
-  <row>
-   <cell name="alr_date"/>
-  </row>
-  <row>
-   <cell name="alr_results"/>
-  </row>
-  <row>
-   <cell name="alr_scan"/>
-  </row>
-  <row>
-   <cell name="hq_type"/>
-  </row>
-  <row>
-   <cell name="hq_grade"/>
-  </row>
-  <row>
-   <cell name="hq_school"/>
-  </row>
-  <row>
-   <cell name="hq_matric_no"/>
-  </row>
-  <row>
-   <cell name="hq_session"/>
-  </row>
-  <row>
-   <cell name="hq_disc"/>
-  </row>
-  <row>
-   <cell name="hq_scan"/>
-  </row>
-  <row>
-   <cell name="birth_certificate"/>
-  </row>
-  <row>
-   <cell name="lga_ident"/>
-  </row>
-  <row>
-   <cell name="acc_let"/>
-  </row>
-  <row>
-   <cell name="jamb_slip"/>
-  </row>
-  <row>
-   <cell name="cert"/>
-  </row>
-  <row>
-   <cell name="evid"/>
-  </row>
-  <row>
-   <cell name="jamb_let"/>
-  </row>
-  <row>
-   <cell name="res_stat"/>
-  </row>
-  <row>
-   <cell name="ref_let"/>
-  </row>
-  <row>
-   <cell name="cred"/>
-  </row>
-  <row>
-   <cell name="stat_dec"/>
-  </row>
-  <row>
-   <cell name="age_dec"/>
-  </row>
-  <row>
-   <cell name="acc_inst"/>
-  </row>
-  <row>
-   <cell name="uniben"/>
-  </row>
-  <row>
-   <cell name="def_adm"/>
+  </row>  
+  <row>
+   <cell name="clearance_officer"/>
   </row>
  </table>
Index: WAeUP_SRP/trunk/profiles/uniben/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/uniben/layouts/student_clearance_fe.xml	(revision 3803)
+++ WAeUP_SRP/trunk/profiles/uniben/layouts/student_clearance_fe.xml	(revision 3804)
@@ -237,4 +237,5 @@
  <widget name="clr_ac_pin" meta_type="Scratchcard Pin Widget">
   <property name="title">Clearance Access Code</property>
+  <property name="description">Clearance Process</property>
   <property name="fields">
    <element value="clr_ac_pin"/>
@@ -790,4 +791,22 @@
   <property name="render_format">radio</property>
  </widget>
+ 
+ <widget name="clearance_officer" meta_type="String Widget">
+  <property name="title">Clearance Officer</property>
+  <property name="fields">
+   <element value="clearance_officer"/>
+  </property>
+  <property name="label">Clearance Officer</property>
+  <property name="label_edit">Clearance Officer</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="hidden_empty">True</property>
+ </widget>  
+ 
  <table>
 
@@ -808,4 +827,124 @@
   </row>
   <row>
+   <cell name="birthday"/>
+  </row>
+  <row>
+   <cell name="lga"/>
+  </row>
+  <row>
+   <cell name="nationality"/>
+  </row>
+  <row>
+   <cell name="fst_sit_fname"/>
+  </row>
+  <row>
+   <cell name="fst_sit_no"/>
+  </row>
+  <row>
+   <cell name="fst_sit_date"/>
+  </row>
+  <row>
+   <cell name="fst_sit_type"/>
+  </row>
+  <row>
+   <cell name="fst_sit_results"/>
+  </row>
+  <row>
+   <cell name="fst_sit_scan"/>
+  </row>
+  <row>
+   <cell name="scd_sit_fname"/>
+  </row>
+  <row>
+   <cell name="scd_sit_no"/>
+  </row>
+  <row>
+   <cell name="scd_sit_date"/>
+  </row>
+  <row>
+   <cell name="scd_sit_type"/>
+  </row>
+  <row>
+   <cell name="scd_sit_results"/>
+  </row>
+  <row>
+   <cell name="scd_sit_scan"/>
+  </row>
+  <row>
+   <cell name="alr_fname"/>
+  </row>
+  <row>
+   <cell name="alr_no"/>
+  </row>
+  <row>
+   <cell name="alr_date"/>
+  </row>
+  <row>
+   <cell name="alr_results"/>
+  </row>
+  <row>
+   <cell name="alr_scan"/>
+  </row>
+  <row>
+   <cell name="hq_type"/>
+  </row>
+  <row>
+   <cell name="hq_grade"/>
+  </row>
+  <row>
+   <cell name="hq_school"/>
+  </row>
+  <row>
+   <cell name="hq_matric_no"/>
+  </row>
+  <row>
+   <cell name="hq_session"/>
+  </row>
+  <row>
+   <cell name="hq_disc"/>
+  </row>
+  <row>
+   <cell name="hq_scan"/>
+  </row>
+  <row>
+   <cell name="birth_certificate"/>
+  </row>
+  <row>
+   <cell name="age_dec"/>
+  </row>
+  <row>
+   <cell name="acc_let"/>
+  </row>
+  <row>
+   <cell name="jamb_slip"/>
+  </row>
+  <row>
+   <cell name="cert"/>
+  </row>
+  <row>
+   <cell name="evid"/>
+  </row>
+  <row>
+   <cell name="jamb_let"/>
+  </row>
+  <row>
+   <cell name="res_stat"/>
+  </row>
+  <row>
+   <cell name="ref_let"/>
+  </row>
+  <row>
+   <cell name="cred"/>
+  </row>
+  <row>
+   <cell name="stat_dec"/>
+  </row>
+  <row>
+   <cell name="uniben"/>
+  </row>
+  <row>
+   <cell name="def_adm"/>
+  </row>
+  <row>
    <cell name="clr_ac_pin"/>
   </row>
@@ -818,125 +957,8 @@
   <row>
    <cell name="cleared_date"/>
-  </row>
-  <row>
-   <cell name="birthday"/>
-  </row>
-  <row>
-   <cell name="lga"/>
-  </row>
-  <row>
-   <cell name="nationality"/>
-  </row>
-  <row>
-   <cell name="fst_sit_fname"/>
-  </row>
-  <row>
-   <cell name="fst_sit_no"/>
-  </row>
-  <row>
-   <cell name="fst_sit_date"/>
-  </row>
-  <row>
-   <cell name="fst_sit_type"/>
-  </row>
-  <row>
-   <cell name="fst_sit_results"/>
-  </row>
-  <row>
-   <cell name="fst_sit_scan"/>
-  </row>
-  <row>
-   <cell name="scd_sit_fname"/>
-  </row>
-  <row>
-   <cell name="scd_sit_no"/>
-  </row>
-  <row>
-   <cell name="scd_sit_date"/>
-  </row>
-  <row>
-   <cell name="scd_sit_type"/>
-  </row>
-  <row>
-   <cell name="scd_sit_results"/>
-  </row>
-  <row>
-   <cell name="scd_sit_scan"/>
-  </row>
-  <row>
-   <cell name="alr_fname"/>
-  </row>
-  <row>
-   <cell name="alr_no"/>
-  </row>
-  <row>
-   <cell name="alr_date"/>
-  </row>
-  <row>
-   <cell name="alr_results"/>
-  </row>
-  <row>
-   <cell name="alr_scan"/>
-  </row>
-  <row>
-   <cell name="hq_type"/>
-  </row>
-  <row>
-   <cell name="hq_grade"/>
-  </row>
-  <row>
-   <cell name="hq_school"/>
-  </row>
-  <row>
-   <cell name="hq_matric_no"/>
-  </row>
-  <row>
-   <cell name="hq_session"/>
-  </row>
-  <row>
-   <cell name="hq_disc"/>
-  </row>
-  <row>
-   <cell name="hq_scan"/>
-  </row>
-  <row>
-   <cell name="birth_certificate"/>
-  </row>
-  <row>
-   <cell name="age_dec"/>
-  </row>
-  <row>
-   <cell name="acc_let"/>
-  </row>
-  <row>
-   <cell name="jamb_slip"/>
-  </row>
-  <row>
-   <cell name="cert"/>
-  </row>
-  <row>
-   <cell name="evid"/>
-  </row>
-  <row>
-   <cell name="jamb_let"/>
-  </row>
-  <row>
-   <cell name="res_stat"/>
-  </row>
-  <row>
-   <cell name="ref_let"/>
-  </row>
-  <row>
-   <cell name="cred"/>
-  </row>
-  <row>
-   <cell name="stat_dec"/>
-  </row>
-  <row>
-   <cell name="uniben"/>
-  </row>
-  <row>
-   <cell name="def_adm"/>
-  </row>
+  </row>  
+  <row>
+   <cell name="clearance_officer"/>
+  </row>  
  </table>
 </object>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt	(revision 3804)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt	(revision 3804)
@@ -0,0 +1,65 @@
+<metal:body use-macro="here/slip_template/macros/master">
+<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
+<span tal:condition="not: info"> 
+    <span tal:content="here/illegal_view" />
+</span> 
+<span tal:condition="info" tal:omit-tag=""> 
+    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
+                                       is_ca info/is_ca;   
+                                       show_check_boxes 
+                                       info/show_check_boxes;   
+                                       is_student info/is_student;   
+                                       validated info/validated;   ">  
+        <h3> <span tal:content="info/session" /> Term One Academic Report (<span tal:content="info/level_str" />)
+            </h3>  <br /> 
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />
+        <br /> 
+        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+            <table class="contentListing" id="folder_content" width="100%">
+                <span tal:define="sem python:('1','Term One','normal1')">
+                    <tr tal:condition="python:info[sem[2]]">
+                        <th />
+                        <th align='center'>ATL</th>  
+                        <th align='center'>CA 1 <br />Marks</th>
+                        <th align='center'>CA 2 <br />Marks</th>    
+                        <th align='center'>Exam <br />Marks</th>              
+                        <th align='center'>Overall <br />Marks</th>
+                        <th align='center'>Grade</th>
+                        <th tal:condition="is_so" align='center'>
+                        </th>
+                    </tr>
+                    <tr tal:repeat="row python:info[sem[2]]"       
+                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
+                        <td tal:content="row/title"></td> 
+                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
+                        <td align="center" tal:content="row/ca1"></td> 
+                        <td align="center" tal:content="row/ca2"></td> 
+                        <td align="center" tal:content="row/exam"></td> 
+                        <td align="center" tal:content="row/score_calc"></td>
+                        <td align="center" tal:content="row/grade"></td>
+                    </tr>
+                    <tr><td>&nbsp;</td>
+                    </tr>
+                </span>
+            </table>
+        </span>
+
+        <span tal:condition="python:False">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50%>Date:</td><td>Date:</td>
+                </tr>
+            </table>    <br /><br /><br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                </tr>
+            </table>
+        </span>
+    </span>
+</span>
+</metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt	(revision 3804)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt	(revision 3804)
@@ -0,0 +1,65 @@
+<metal:body use-macro="here/slip_template/macros/master">
+<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
+<span tal:condition="not: info"> 
+    <span tal:content="here/illegal_view" />
+</span> 
+<span tal:condition="info" tal:omit-tag=""> 
+    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
+                                       is_ca info/is_ca;   
+                                       show_check_boxes 
+                                       info/show_check_boxes;   
+                                       is_student info/is_student;   
+                                       validated info/validated;   ">  
+        <h3> <span tal:content="info/session" /> Term Two Academic Report (<span tal:content="info/level_str" />)
+            </h3>  <br /> 
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />
+        <br /> 
+        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+            <table class="contentListing" id="folder_content" width="100%">
+                <span tal:define="sem python:('2','Term Two','normal2')">
+                    <tr tal:condition="python:info[sem[2]]">
+                        <th />
+                        <th align='center'>ATL</th>  
+                        <th align='center'>CA 1 <br />Marks</th>
+                        <th align='center'>CA 2 <br />Marks</th>    
+                        <th align='center'>Exam <br />Marks</th>              
+                        <th align='center'>Overall <br />Marks</th>
+                        <th align='center'>Grade</th>
+                        <th tal:condition="is_so" align='center'>
+                        </th>
+                    </tr>
+                    <tr tal:repeat="row python:info[sem[2]]"       
+                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
+                        <td tal:content="row/title"></td> 
+                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
+                        <td align="center" tal:content="row/ca1"></td> 
+                        <td align="center" tal:content="row/ca2"></td> 
+                        <td align="center" tal:content="row/exam"></td> 
+                        <td align="center" tal:content="row/score_calc"></td>
+                        <td align="center" tal:content="row/grade"></td>
+                    </tr>
+                    <tr><td>&nbsp;</td>
+                    </tr>
+                </span>
+            </table>
+        </span>
+
+        <span tal:condition="python:False">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50%>Date:</td><td>Date:</td>
+                </tr>
+            </table>    <br /><br /><br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                </tr>
+            </table>
+        </span>
+    </span>
+</span>
+</metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt	(revision 3804)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt	(revision 3804)
@@ -0,0 +1,65 @@
+<metal:body use-macro="here/slip_template/macros/master">
+<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
+<span tal:condition="not: info"> 
+    <span tal:content="here/illegal_view" />
+</span> 
+<span tal:condition="info" tal:omit-tag=""> 
+    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
+                                       is_ca info/is_ca;   
+                                       show_check_boxes 
+                                       info/show_check_boxes;   
+                                       is_student info/is_student;   
+                                       validated info/validated;   ">  
+        <h3> <span tal:content="info/session" /> Term Three Academic Report (<span tal:content="info/level_str" />)
+            </h3>  <br /> 
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />
+        <br /> 
+        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+            <table class="contentListing" id="folder_content" width="100%">
+                <span tal:define="sem python:('3','Term Three','normal3')">
+                    <tr tal:condition="python:info[sem[2]]">
+                        <th />
+                        <th align='center'>ATL</th>  
+                        <th align='center'>CA 1 <br />Marks</th>
+                        <th align='center'>CA 2 <br />Marks</th>    
+                        <th align='center'>Exam <br />Marks</th>              
+                        <th align='center'>Overall <br />Marks</th>
+                        <th align='center'>Grade</th>
+                        <th tal:condition="is_so" align='center'>
+                        </th>
+                    </tr>
+                    <tr tal:repeat="row python:info[sem[2]]"       
+                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
+                        <td tal:content="row/title"></td> 
+                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
+                        <td align="center" tal:content="row/ca1"></td> 
+                        <td align="center" tal:content="row/ca2"></td> 
+                        <td align="center" tal:content="row/exam"></td> 
+                        <td align="center" tal:content="row/score_calc"></td>
+                        <td align="center" tal:content="row/grade"></td>
+                    </tr>
+                    <tr><td>&nbsp;</td>
+                    </tr>
+                </span>
+            </table>
+        </span>
+
+        <span tal:condition="python:False">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50%>Date:</td><td>Date:</td>
+                </tr>
+            </table>    <br /><br /><br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                </tr>
+            </table>
+        </span>
+    </span>
+</span>
+</metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_view.pt	(revision 3803)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_view.pt	(revision 3804)
@@ -25,10 +25,18 @@
     <span tal:condition="python:True">  
     <div style="text-align: right" 
-         tal:condition="python:True">
-    <a href="" target="slip" tal:attributes="href string:academic_report_slip"
+         tal:condition="python:True"> 
+    <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" /> Academic Report Slip:
+    <a href="" target="slip" tal:attributes="href string:academic_report_slip_1"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
-        <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-        Academic Report Slip
+        Term 1 /
     </a>
+    <a href="" target="slip" tal:attributes="href string:academic_report_slip_2"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        Term 2 /
+    </a>
+    <a href="" target="slip" tal:attributes="href string:academic_report_slip_3"
+        onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
+        Term 3
+    </a>      
     </div>
     </span>
Index: WAeUP_SRP/trunk/skins/waeup_ois/getPastoralReportInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/getPastoralReportInfo.py	(revision 3803)
+++ WAeUP_SRP/trunk/skins/waeup_ois/getPastoralReportInfo.py	(revision 3804)
@@ -46,6 +46,6 @@
 students_object = context.portal_url.getPortalObject().campus.students
 student = getattr(students_object, student_id)
-info['app'] = student.application
-info['app_doc'] = student.application.getContent()
+#info['app'] = student.application
+#info['app_doc'] = student.application.getContent()
 
 return info
Index: WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_slip.pt	(revision 3803)
+++ WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_slip.pt	(revision 3804)
@@ -3,4 +3,5 @@
               tal:define="info context/getPastoralReportInfo;
               s_name context/getStudentNameInContext;
+              info_base context/getStudentBaseInfo;
               ">
     <span tal:condition="not: info">
@@ -11,7 +12,68 @@
             </h3>
       <br />
-      <span tal:omit-tag="" tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
-                                                 layout_mode='view_info',       
-                                                 layout_id='student_application')"/>      
+
+
+      <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
+        <tr>
+          <td valign="top" width="180px"><span class="dlabel">Name</span>:
+          </td>
+          <td> 
+            <span tal:content="info_base/student/name" />
+          </td>      
+        </tr>
+        <tr>
+          <td valign="top" width="180px"><span class="dlabel">Sex</span>:
+          </td>
+          <td> 
+            <span tal:content="info_base/student/sex" />
+          </td>      
+        </tr>          
+        <tr valign="top">
+          <td><span class="dlabel">Online Student ID</span>:
+          </td>
+          <td> 
+            <span tal:content="info_base/id" />
+          </td>      
+        </tr>
+        <tr valign="top">
+          <td><span class="dlabel">Registration No</span>:
+          </td>
+          <td> 
+            <span tal:content="info_base/student/matric_no" />
+          </td>      
+        </tr>        
+
+        <tr valign="top">
+          <td><span class="dlabel">Email</span>:
+          </td>
+          <td> 
+            <span tal:content="info_base/student/email" />
+          </td>      
+        </tr>         
+        <tr valign="top">
+          <td><span class="dlabel">Phone</span>:
+          </td>
+          <td> 
+            <span tal:content="info_base/student/phone" />
+          </td>      
+        </tr>         
+        <tr valign="top">
+          <td><span class="dlabel">Current Session</span>:
+          </td>
+          <td> 
+            <span tal:content="python:context.portal_vocabularies.sessions.get(info_base['student']['session'])" />  
+          </td>      
+        </tr>           
+        <tr valign="top">
+          <td><span class="dlabel">Current Level</span>:
+          </td>
+          <td> 
+            <span tal:content="python:context.portal_vocabularies.student_levels.get(info_base['student']['level'])" />  
+          </td>      
+        </tr>             
+      </table>
+
+
+
       <br />
       <span tal:omit-tag=""  
@@ -21,11 +83,13 @@
             <table width=100%>
                 <tr > 
-                    <td width=50%>Date:</td><td></td>
+                    <td width="180px">Date:</td><td>12/12/2008</td>
                 </tr>
-            </table>    <br /><br /><br /><br />
+                <tr > 
+                    <td width="180px">Name of House Staff:</td><td><span tal:content="info/doc/house_staff" /></td>
+                </tr>                
+            </table>    <br /><br /><br />
             <table width=100%>
                 <tr > 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Name of House Staff</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Signature</td>
+                    <td width=100% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Staff Signature</td>
                 </tr>
             </table>
Index: WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_view.pt	(revision 3803)
+++ WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_view.pt	(revision 3804)
@@ -56,4 +56,8 @@
           <td><span tal:content="info/term" /></td>
         </tr>          
+        <tr>
+          <th>House Staff:</th> 
+          <td><span tal:content="info/doc/house_staff" /></td>
+        </tr>                
       </table>           
       