Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_pastoral_report.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_pastoral_report.xml	(revision 3807)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_pastoral_report.xml	(revision 3808)
@@ -43,5 +43,5 @@
  </widget>
 
- <widget name="self_discipline" meta_type="Select Widget">
+ <widget name="self_discipline" meta_type="Generic Select Widget">
   <property name="title">Self-discipline</property>
   <property name="fields">
@@ -54,7 +54,8 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
-
- <widget name="self_respect" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+
+ <widget name="self_respect" meta_type="Generic Select Widget">
   <property name="title">Self-respect</property>
   <property name="fields">
@@ -67,6 +68,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="self_confidence" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="self_confidence" meta_type="Generic Select Widget">
   <property name="title">Self-confidence</property>
   <property name="fields">
@@ -79,6 +81,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="punctuality" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="punctuality" meta_type="Generic Select Widget">
   <property name="title">Punctuality</property>
   <property name="fields">
@@ -91,6 +94,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="trustworthiness" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="trustworthiness" meta_type="Generic Select Widget">
   <property name="title">Trustworthiness</property>
   <property name="fields">
@@ -103,6 +107,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="leadership" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="leadership" meta_type="Generic Select Widget">
   <property name="title">Leadership</property>
   <property name="fields">
@@ -115,6 +120,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="independence_initiative" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="independence_initiative" meta_type="Generic Select Widget">
   <property name="title">Independence and Initiative</property>
   <property name="fields">
@@ -127,6 +133,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="motivation" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="motivation" meta_type="Generic Select Widget">
   <property name="title">Motivation</property>
   <property name="fields">
@@ -139,6 +146,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="extracurricular_accp" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="extracurricular_accp" meta_type="Generic Select Widget">
   <property name="title">Extracurricular Accomplishment</property>
   <property name="fields">
@@ -151,6 +159,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="emotional_maturity" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="emotional_maturity" meta_type="Generic Select Widget">
   <property name="title">Emotional Maturity</property>
   <property name="fields">
@@ -163,6 +172,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="warmth_personality" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="warmth_personality" meta_type="Generic Select Widget">
   <property name="title">Warmth of Personality</property>
   <property name="fields">
@@ -175,6 +185,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="concern_others" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="concern_others" meta_type="Generic Select Widget">
   <property name="title">Concern for Others</property>
   <property name="fields">
@@ -187,6 +198,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="cooperation" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="cooperation" meta_type="Generic Select Widget">
   <property name="title">Co-operation</property>
   <property name="fields">
@@ -199,6 +211,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="helpfulness" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="helpfulness" meta_type="Generic Select Widget">
   <property name="title">Helpfulness</property>
   <property name="fields">
@@ -211,6 +224,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="application_studies" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="application_studies" meta_type="Generic Select Widget">
   <property name="title">Application to Studies</property>
   <property name="fields">
@@ -225,7 +239,8 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
-
- <widget name="commitment_duty" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+
+ <widget name="commitment_duty" meta_type="Generic Select Widget">
   <property name="title">Commitment to Duty</property>
   <property name="fields">
@@ -238,7 +253,8 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
-
- <widget name="disciplined_work" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+
+ <widget name="disciplined_work" meta_type="Generic Select Widget">
   <property name="title">Disciplined Work Habits</property>
   <property name="fields">
@@ -251,6 +267,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="contribution_life" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="contribution_life" meta_type="Generic Select Widget">
   <property name="title">Contribution to Life of School</property>
   <property name="fields">
@@ -263,7 +280,8 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
-
- <widget name="appropriat_dress" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+
+ <widget name="appropriat_dress" meta_type="Generic Select Widget">
   <property name="title">Appropriateness of Dress</property>
   <property name="fields">
@@ -278,7 +296,8 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
-
- <widget name="care_property" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+
+ <widget name="care_property" meta_type="Generic Select Widget">
   <property name="title">Care of Property</property>
   <property name="fields">
@@ -291,6 +310,7 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
- <widget name="care_environment" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+ <widget name="care_environment" meta_type="Generic Select Widget">
   <property name="title">Care of Environment</property>
   <property name="fields">
@@ -303,7 +323,8 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
- </widget>
-
- <widget name="eating_habits" meta_type="Select Widget">
+  <property name="render_format">radio</property>
+ </widget>
+
+ <widget name="eating_habits" meta_type="Generic Select Widget">
   <property name="title">Eating Habits</property>
   <property name="fields">
@@ -316,4 +337,5 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">pastoral_grade</property>
+  <property name="render_format">radio</property>
  </widget>
 
@@ -322,4 +344,5 @@
   <property name="title">Name</property>
   <property name="description">House Staff</property>
+  <property name="is_required">True</property>
   <property name="fields">
    <element value="house_staff"/>
@@ -330,4 +353,5 @@
   </property>
   <property name="hidden_layout_modes">
+    <element value="view"/>
   </property>
   <property name="hidden_readonly_layout_modes"/>
@@ -407,4 +431,7 @@
    <cell name="eating_habits"/>
   </row>
+  <row>
+   <cell name="house_staff"/>
+  </row>  
  </table>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt	(revision 3807)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt	(revision 3808)
@@ -47,14 +47,15 @@
         </span>
 
-        <span tal:condition="python:False">      <br /><br />
+        <span tal:condition="python:True">      <br /><br />
             <table width=100%>
                 <tr > 
-                    <td width=50%>Date:</td><td>Date:</td>
-                </tr>
-            </table>    <br /><br /><br /><br />
-            <table width=100%>
+                    <td width=40%>&nbsp;</td>  
+                    <td width=30%>Date: 12/12/2008</td> 
+                    <td width=30%>Ms J.C. Butler</td>
+                </tr>            
                 <tr > 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                    <td width=40%>&nbsp;</td> 
+                    <td width=30%></td> 
+                    <td width=30%>Principal</td>
                 </tr>
             </table>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt	(revision 3807)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt	(revision 3808)
@@ -47,4 +47,21 @@
         </span>
 
+
+        <span tal:condition="python:True">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=40%>&nbsp;</td>  
+                    <td width=30%>Date: 12/12/2008</td> 
+                    <td width=30%>Ms J.C. Butler</td>
+                </tr>            
+                <tr > 
+                    <td width=40%>&nbsp;</td> 
+                    <td width=30%></td> 
+                    <td width=30%>Principal</td>
+                </tr>
+            </table>
+        </span>
+
+
         <span tal:condition="python:False">      <br /><br />
             <table width=100%>
@@ -55,6 +72,6 @@
             <table width=100%>
                 <tr > 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                    <td>&nbsp;</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"></td>
                 </tr>
             </table>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt	(revision 3807)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt	(revision 3808)
@@ -47,4 +47,20 @@
         </span>
 
+        <span tal:condition="python:True">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=40%>&nbsp;</td>  
+                    <td width=30%>Date: 12/12/2008</td> 
+                    <td width=30%>Ms J.C. Butler</td>
+                </tr>            
+                <tr > 
+                    <td width=40%>&nbsp;</td> 
+                    <td width=30%></td> 
+                    <td width=30%>Principal</td>
+                </tr>
+            </table>
+        </span>
+
+
         <span tal:condition="python:False">      <br /><br />
             <table width=100%>
@@ -55,6 +71,6 @@
             <table width=100%>
                 <tr > 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                    <td>&nbsp;</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"></td>
                 </tr>
             </table>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_slip.pt	(revision 3807)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_slip.pt	(revision 3808)
@@ -4,4 +4,5 @@
               s_name context/getStudentNameInContext;
               info_base context/getStudentBaseInfo;
+              house_staff info/doc/house_staff|nothing;
               ">
     <span tal:condition="not: info">
@@ -86,8 +87,8 @@
                 </tr>
                 <tr > 
-                    <td width="180px">Name of House Staff:</td><td><span tal:content="info/doc/house_staff" /></td>
+                    <td width="180px">Name of House Staff:</td><td><span tal:content="house_staff" /></td>
                 </tr>                
-            </table>    <br /><br /><br />
-            <table width=100%>
+            </table>    <br /><br /><br /><br />
+            <table width=60%>
                 <tr > 
                     <td width=100% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Staff Signature</td>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_view.pt	(revision 3807)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/pastoral_report_view.pt	(revision 3808)
@@ -3,4 +3,5 @@
               tal:define="info context/getPastoralReportInfo;
               s_name context/getStudentNameInContext;
+              house_staff info/doc/house_staff|nothing;
               ">
     <span tal:condition="not: info">
@@ -58,5 +59,5 @@
         <tr>
           <th>House Staff:</th> 
-          <td><span tal:content="info/doc/house_staff" /></td>
+          <td><span tal:content="house_staff" /></td>
         </tr>                
       </table>           