Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 3808)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_clearance.xml	(revision 3809)
@@ -66,4 +66,6 @@
  <field name="acc_inst" meta_type="CPS Image Field"/>
  <field name="signature" meta_type="CPS Image Field"/> 
+ <field name="stud_stat_account" meta_type="CPS Image Field"/> 
+ <field name="stud_invoice" meta_type="CPS Image Field"/> 
 
  <field name="fst_ch" meta_type="CPS Boolean Field"/>
Index: /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml	(revision 3808)
+++ /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml	(revision 3809)
@@ -788,4 +788,42 @@
   <property name="allow_resize">True</property>
  </widget>
+ 
+  <widget name="stud_invoice" meta_type="File Image Widget">
+  <property name="title">Student Invoice</property>
+  <property name="fields">
+   <element value="stud_invoice"/>
+  </property>
+  <property name="label">Student Invoice</property>
+  <property name="label_edit">Student Invoice</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ 
+  <widget name="stud_stat_account" meta_type="File Image Widget">
+  <property name="title">Student Statement of Account</property>
+  <property name="fields">
+   <element value="stud_stat_account"/>
+  </property>
+  <property name="label">Student Statement of Account</property>
+  <property name="label_edit">Student Statement of Account</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ 
+ 
  <widget name="uniben" meta_type="Boolean Widget">
   <property name="title">Former OIS Student</property>
@@ -920,4 +958,10 @@
    <cell name="def_adm"/>
   </row>
+  <row>
+   <cell name="stud_invoice"/>
+  </row>
+  <row>
+   <cell name="stud_stat_account"/>
+  </row>    
  </table>
 </object>
Index: /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml	(revision 3808)
+++ /WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml	(revision 3809)
@@ -776,4 +776,46 @@
   <property name="allow_resize">True</property>
  </widget>
+ 
+  <widget name="stud_invoice" meta_type="File Image Widget">
+  <property name="title">Student Invoice</property>
+  <property name="fields">
+   <element value="stud_invoice"/>
+  </property>
+  <property name="label">Student Invoice</property>
+  <property name="label_edit">Student Invoice</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+ 
+  <widget name="stud_stat_account" meta_type="File Image Widget">
+  <property name="title">Student Statement of Account</property>
+  <property name="fields">
+   <element value="stud_stat_account"/>
+  </property>
+  <property name="label">Student Statement of Account</property>
+  <property name="label_edit">Student Statement of Account</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">1000000</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
+  <property name="allow_resize">True</property>
+ </widget>
+  
+ 
  <widget name="uniben" meta_type="Boolean Widget">
   <property name="title">Former OIS Student</property>
@@ -903,4 +945,10 @@
    <cell name="def_adm"/>
   </row>
+  <row>
+   <cell name="stud_invoice"/>
+  </row>
+  <row>
+   <cell name="stud_stat_account"/>
+  </row>      
 
  </table>