Index: WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml	(revision 3810)
+++ WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance.xml	(revision 3811)
@@ -854,19 +854,4 @@
   </row>
   <row>
-   <cell name="matric_no_history"/>
-  </row>
-  <row>
-   <cell name="clr_ac_pin"/>
-  </row>
-  <row>
-   <cell name="entry_date"/>
-  </row>
-  <row>
-   <cell name="request_date"/>
-  </row>
-  <row>
-   <cell name="cleared_date"/>
-  </row>
-  <row>
    <cell name="birthday"/>
   </row>
@@ -878,85 +863,4 @@
   </row>
   <row>
-   <cell name="fst_sit_fname"/>
-  </row>
-  <row>
-   <cell name="fst_sit_no"/>
-  </row>
-  <row>
-   <cell name="fst_sit_date"/>
-  </row>
-  <row>
-   <cell name="fst_sit_type"/>
-  </row>
-  <row>
-   <cell name="fst_sit_results"/>
-  </row>
-  <row>
-   <cell name="fst_sit_scan"/>
-  </row>
-  <row>
-   <cell name="scd_sit_fname"/>
-  </row>
-  <row>
-   <cell name="scd_sit_no"/>
-  </row>
-  <row>
-   <cell name="scd_sit_date"/>
-  </row>
-  <row>
-   <cell name="scd_sit_type"/>
-  </row>
-  <row>
-   <cell name="scd_sit_results"/>
-  </row>
-  <row>
-   <cell name="scd_sit_scan"/>
-  </row>
-  <row>
-   <cell name="birth_certificate"/>
-  </row>
-  <row>
-   <cell name="lga_ident"/>
-  </row>
-  <row>
-   <cell name="acc_let"/>
-  </row>
-  <row>
-   <cell name="jamb_slip"/>
-  </row>
-  <row>
-   <cell name="cert"/>
-  </row>
-  <row>
-   <cell name="evid"/>
-  </row>
-  <row>
-   <cell name="jamb_let"/>
-  </row>
-  <row>
-   <cell name="res_stat"/>
-  </row>
-  <row>
-   <cell name="ref_let"/>
-  </row>
-  <row>
-   <cell name="cred"/>
-  </row>
-  <row>
-   <cell name="stat_dec"/>
-  </row>
-  <row>
-   <cell name="age_dec"/>
-  </row>
-  <row>
-   <cell name="acc_inst"/>
-  </row>
-  <row>
-   <cell name="uniben"/>
-  </row>
-  <row>
-   <cell name="def_adm"/>
-  </row>
-  <row>
    <cell name="stud_invoice"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml	(revision 3810)
+++ WAeUP_SRP/trunk/profiles/ois/layouts/student_clearance_fe.xml	(revision 3811)
@@ -850,16 +850,4 @@
   </row>
   <row>
-   <cell name="clr_ac_pin"/>
-  </row>
-  <row>
-   <cell name="entry_date"/>
-  </row>
-  <row>
-   <cell name="request_date"/>
-  </row>
-  <row>
-   <cell name="cleared_date"/>
-  </row>
-  <row>
    <cell name="birthday"/>
   </row>
@@ -869,79 +857,4 @@
   <row>
    <cell name="nationality"/>
-  </row>
-  <row>
-   <cell name="fst_sit_fname"/>
-  </row>
-  <row>
-   <cell name="fst_sit_no"/>
-  </row>
-  <row>
-   <cell name="fst_sit_date"/>
-  </row>
-  <row>
-   <cell name="fst_sit_type"/>
-  </row>
-  <row>
-   <cell name="fst_sit_results"/>
-  </row>
-  <row>
-   <cell name="fst_sit_scan"/>
-  </row>
-  <row>
-   <cell name="scd_sit_fname"/>
-  </row>
-  <row>
-   <cell name="scd_sit_no"/>
-  </row>
-  <row>
-   <cell name="scd_sit_date"/>
-  </row>
-  <row>
-   <cell name="scd_sit_type"/>
-  </row>
-  <row>
-   <cell name="scd_sit_results"/>
-  </row>
-  <row>
-   <cell name="scd_sit_scan"/>
-  </row>
-  <row>
-   <cell name="birth_certificate"/>
-  </row>
-  <row>
-   <cell name="age_dec"/>
-  </row>
-  <row>
-   <cell name="acc_let"/>
-  </row>
-  <row>
-   <cell name="jamb_slip"/>
-  </row>
-  <row>
-   <cell name="cert"/>
-  </row>
-  <row>
-   <cell name="evid"/>
-  </row>
-  <row>
-   <cell name="jamb_let"/>
-  </row>
-  <row>
-   <cell name="res_stat"/>
-  </row>
-  <row>
-   <cell name="ref_let"/>
-  </row>
-  <row>
-   <cell name="cred"/>
-  </row>
-  <row>
-   <cell name="stat_dec"/>
-  </row>
-  <row>
-   <cell name="uniben"/>
-  </row>
-  <row>
-   <cell name="def_adm"/>
   </row>
   <row>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt	(revision 3810)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip.pt	(revision 3811)
@@ -7,20 +7,23 @@
     <span tal:omit-tag=""   tal:define="is_so info/is_so;   
                                        is_ca info/is_ca;   
-                                       show_check_boxes 
-                                       info/show_check_boxes;   
+                                       show_check_boxes info/show_check_boxes;   
                                        is_student info/is_student;   
-                                       validated info/validated;   ">  
-        <h3> <span tal:content="info/session" /> Academic Report (<span tal:content="info/student/course" /> 
-                                                                  <span tal:content="info/level_str" />)
+                                       validated info/validated;
+                                       term_complete info/complete1;
+                                       term options/term;
+                                       sem_series python:(('Term One','normal1','complete1'),('Term Two','normal2','complete2'),('Term Three','normal3','complete3'));
+                                       sem python:sem_series[int(term)-1];
+                                       ">
+                                          
+        <h3> <span tal:content="info/session" /> <span tal:content="python:sem[0]" /> Academic Report (<span tal:content="info/level_str" />)
             </h3>  <br /> 
-        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+        <span tal:omit-tag="" tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
                                                  layout_mode='view_info',       
                                                  layout_id='student_application')"       />
         <br /> 
-        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+        <span tal:condition="python:info[sem[2]]" tal:omit-tag="">
             <table class="contentListing" id="folder_content" width="100%">
-                <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">
-                    <tr tal:condition="python:info[sem[2]]">
-                        <th tal:content="python:sem[1]" />
+                    <tr tal:condition="python:info[sem[1]]">
+                        <th />
                         <th align='center'>ATL</th>  
                         <th align='center'>CA 1 <br />Marks</th>
@@ -32,5 +35,5 @@
                         </th>
                     </tr>
-                    <tr tal:repeat="row python:info[sem[2]]"       
+                    <tr tal:repeat="row python:info[sem[1]]"       
                         tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
                         <td tal:content="row/title"></td> 
@@ -44,21 +47,30 @@
                     <tr><td>&nbsp;</td>
                     </tr>
-                </span>
             </table>
-        </span>
 
-        <span tal:condition="python:False">      <br /><br />
+
+        <span tal:condition="python:True">      <br /><br />
             <table width=100%>
                 <tr > 
-                    <td width=50%>Date:</td><td>Date:</td>
-                </tr>
-            </table>    <br /><br /><br /><br />
-            <table width=100%>
+                    <td width=40%>&nbsp;</td>  
+                    <td width=30%>Date: 12/12/2008</td> 
+                    <td width=30%>Ms J.C. Butler</td>
+                </tr>            
                 <tr > 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                    <td width=40%>&nbsp;</td> 
+                    <td width=30%></td> 
+                    <td width=30%>Principal</td>
                 </tr>
             </table>
         </span>
+        </span>        
+        
+        <span tal:condition="python:not info[sem[2]]" tal:omit-tag="">      
+        
+        <font color=red>Report not yet complete</font>
+          
+        </span>  
+        
+        
     </span>
 </span>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_1.pt	(revision 3810)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<metal:body use-macro="here/slip_template/macros/master">
-<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
-<span tal:condition="not: info"> 
-    <span tal:content="here/illegal_view" />
-</span> 
-<span tal:condition="info" tal:omit-tag=""> 
-    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
-                                       is_ca info/is_ca;   
-                                       show_check_boxes 
-                                       info/show_check_boxes;   
-                                       is_student info/is_student;   
-                                       validated info/validated;   ">  
-        <h3> <span tal:content="info/session" /> Term One Academic Report (<span tal:content="info/level_str" />)
-            </h3>  <br /> 
-        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
-                                                 layout_mode='view_info',       
-                                                 layout_id='student_application')"       />
-        <br /> 
-        <span tal:condition="not:info/data_missing" tal:omit-tag="">
-            <table class="contentListing" id="folder_content" width="100%">
-                <span tal:define="sem python:('1','Term One','normal1')">
-                    <tr tal:condition="python:info[sem[2]]">
-                        <th />
-                        <th align='center'>ATL</th>  
-                        <th align='center'>CA 1 <br />Marks</th>
-                        <th align='center'>CA 2 <br />Marks</th>    
-                        <th align='center'>Exam <br />Marks</th>              
-                        <th align='center'>Overall <br />Marks</th>
-                        <th align='center'>Grade</th>
-                        <th tal:condition="is_so" align='center'>
-                        </th>
-                    </tr>
-                    <tr tal:repeat="row python:info[sem[2]]"       
-                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
-                        <td tal:content="row/title"></td> 
-                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
-                        <td align="center" tal:content="row/ca1"></td> 
-                        <td align="center" tal:content="row/ca2"></td> 
-                        <td align="center" tal:content="row/exam"></td> 
-                        <td align="center" tal:content="row/score_calc"></td>
-                        <td align="center" tal:content="row/grade"></td>
-                    </tr>
-                    <tr><td>&nbsp;</td>
-                    </tr>
-                </span>
-            </table>
-        </span>
-
-        <span tal:condition="python:True">      <br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=40%>&nbsp;</td>  
-                    <td width=30%>Date: 12/12/2008</td> 
-                    <td width=30%>Ms J.C. Butler</td>
-                </tr>            
-                <tr > 
-                    <td width=40%>&nbsp;</td> 
-                    <td width=30%></td> 
-                    <td width=30%>Principal</td>
-                </tr>
-            </table>
-        </span>
-    </span>
-</span>
-</metal:main>
-</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_2.pt	(revision 3810)
+++ 	(revision )
@@ -1,82 +1,0 @@
-<metal:body use-macro="here/slip_template/macros/master">
-<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
-<span tal:condition="not: info"> 
-    <span tal:content="here/illegal_view" />
-</span> 
-<span tal:condition="info" tal:omit-tag=""> 
-    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
-                                       is_ca info/is_ca;   
-                                       show_check_boxes 
-                                       info/show_check_boxes;   
-                                       is_student info/is_student;   
-                                       validated info/validated;   ">  
-        <h3> <span tal:content="info/session" /> Term Two Academic Report (<span tal:content="info/level_str" />)
-            </h3>  <br /> 
-        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
-                                                 layout_mode='view_info',       
-                                                 layout_id='student_application')"       />
-        <br /> 
-        <span tal:condition="not:info/data_missing" tal:omit-tag="">
-            <table class="contentListing" id="folder_content" width="100%">
-                <span tal:define="sem python:('2','Term Two','normal2')">
-                    <tr tal:condition="python:info[sem[2]]">
-                        <th />
-                        <th align='center'>ATL</th>  
-                        <th align='center'>CA 1 <br />Marks</th>
-                        <th align='center'>CA 2 <br />Marks</th>    
-                        <th align='center'>Exam <br />Marks</th>              
-                        <th align='center'>Overall <br />Marks</th>
-                        <th align='center'>Grade</th>
-                        <th tal:condition="is_so" align='center'>
-                        </th>
-                    </tr>
-                    <tr tal:repeat="row python:info[sem[2]]"       
-                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
-                        <td tal:content="row/title"></td> 
-                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
-                        <td align="center" tal:content="row/ca1"></td> 
-                        <td align="center" tal:content="row/ca2"></td> 
-                        <td align="center" tal:content="row/exam"></td> 
-                        <td align="center" tal:content="row/score_calc"></td>
-                        <td align="center" tal:content="row/grade"></td>
-                    </tr>
-                    <tr><td>&nbsp;</td>
-                    </tr>
-                </span>
-            </table>
-        </span>
-
-
-        <span tal:condition="python:True">      <br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=40%>&nbsp;</td>  
-                    <td width=30%>Date: 12/12/2008</td> 
-                    <td width=30%>Ms J.C. Butler</td>
-                </tr>            
-                <tr > 
-                    <td width=40%>&nbsp;</td> 
-                    <td width=30%></td> 
-                    <td width=30%>Principal</td>
-                </tr>
-            </table>
-        </span>
-
-
-        <span tal:condition="python:False">      <br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=50%>Date:</td><td>Date:</td>
-                </tr>
-            </table>    <br /><br /><br /><br />
-            <table width=100%>
-                <tr > 
-                    <td>&nbsp;</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"></td>
-                </tr>
-            </table>
-        </span>
-    </span>
-</span>
-</metal:main>
-</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_3.pt	(revision 3810)
+++ 	(revision )
@@ -1,81 +1,0 @@
-<metal:body use-macro="here/slip_template/macros/master">
-<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
-<span tal:condition="not: info"> 
-    <span tal:content="here/illegal_view" />
-</span> 
-<span tal:condition="info" tal:omit-tag=""> 
-    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
-                                       is_ca info/is_ca;   
-                                       show_check_boxes 
-                                       info/show_check_boxes;   
-                                       is_student info/is_student;   
-                                       validated info/validated;   ">  
-        <h3> <span tal:content="info/session" /> Term Three Academic Report (<span tal:content="info/level_str" />)
-            </h3>  <br /> 
-        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
-                                                 layout_mode='view_info',       
-                                                 layout_id='student_application')"       />
-        <br /> 
-        <span tal:condition="not:info/data_missing" tal:omit-tag="">
-            <table class="contentListing" id="folder_content" width="100%">
-                <span tal:define="sem python:('3','Term Three','normal3')">
-                    <tr tal:condition="python:info[sem[2]]">
-                        <th />
-                        <th align='center'>ATL</th>  
-                        <th align='center'>CA 1 <br />Marks</th>
-                        <th align='center'>CA 2 <br />Marks</th>    
-                        <th align='center'>Exam <br />Marks</th>              
-                        <th align='center'>Overall <br />Marks</th>
-                        <th align='center'>Grade</th>
-                        <th tal:condition="is_so" align='center'>
-                        </th>
-                    </tr>
-                    <tr tal:repeat="row python:info[sem[2]]"       
-                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
-                        <td tal:content="row/title"></td> 
-                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
-                        <td align="center" tal:content="row/ca1"></td> 
-                        <td align="center" tal:content="row/ca2"></td> 
-                        <td align="center" tal:content="row/exam"></td> 
-                        <td align="center" tal:content="row/score_calc"></td>
-                        <td align="center" tal:content="row/grade"></td>
-                    </tr>
-                    <tr><td>&nbsp;</td>
-                    </tr>
-                </span>
-            </table>
-        </span>
-
-        <span tal:condition="python:True">      <br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=40%>&nbsp;</td>  
-                    <td width=30%>Date: 12/12/2008</td> 
-                    <td width=30%>Ms J.C. Butler</td>
-                </tr>            
-                <tr > 
-                    <td width=40%>&nbsp;</td> 
-                    <td width=30%></td> 
-                    <td width=30%>Principal</td>
-                </tr>
-            </table>
-        </span>
-
-
-        <span tal:condition="python:False">      <br /><br />
-            <table width=100%>
-                <tr > 
-                    <td width=50%>Date:</td><td>Date:</td>
-                </tr>
-            </table>    <br /><br /><br /><br />
-            <table width=100%>
-                <tr > 
-                    <td>&nbsp;</td> 
-                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"></td>
-                </tr>
-            </table>
-        </span>
-    </span>
-</span>
-</metal:main>
-</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_old.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_old.pt	(revision 3811)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_slip_old.pt	(revision 3811)
@@ -0,0 +1,66 @@
+<metal:body use-macro="here/slip_template/macros/master">
+<metal:main fill-slot="main"    tal:define="info context/getStudyLevelInfo;"    > 
+<span tal:condition="not: info"> 
+    <span tal:content="here/illegal_view" />
+</span> 
+<span tal:condition="info" tal:omit-tag=""> 
+    <span tal:omit-tag=""   tal:define="is_so info/is_so;   
+                                       is_ca info/is_ca;   
+                                       show_check_boxes 
+                                       info/show_check_boxes;   
+                                       is_student info/is_student;   
+                                       validated info/validated;   ">  
+        <h3> <span tal:content="info/session" /> Academic Report (<span tal:content="info/student/course" /> 
+                                                                  <span tal:content="info/level_str" />)
+            </h3>  <br /> 
+        <span tal:omit-tag=""       tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],       
+                                                 layout_mode='view_info',       
+                                                 layout_id='student_application')"       />
+        <br /> 
+        <span tal:condition="not:info/data_missing" tal:omit-tag="">
+            <table class="contentListing" id="folder_content" width="100%">
+                <span tal:repeat="sem python:(('1','Term One','normal1'),('2','Term Two','normal2'),('3','Term Three','normal3'))">
+                    <tr tal:condition="python:info[sem[2]]">
+                        <th tal:content="python:sem[1]" />
+                        <th align='center'>ATL</th>  
+                        <th align='center'>CA 1 <br />Marks</th>
+                        <th align='center'>CA 2 <br />Marks</th>    
+                        <th align='center'>Exam <br />Marks</th>              
+                        <th align='center'>Overall <br />Marks</th>
+                        <th align='center'>Grade</th>
+                        <th tal:condition="is_so" align='center'>
+                        </th>
+                    </tr>
+                    <tr tal:repeat="row python:info[sem[2]]"       
+                        tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')"> 
+                        <td tal:content="row/title"></td> 
+                        <td align="center" tal:content="python:context.portal_vocabularies.pastoral_grade.get(row['atl'])"></td>
+                        <td align="center" tal:content="row/ca1"></td> 
+                        <td align="center" tal:content="row/ca2"></td> 
+                        <td align="center" tal:content="row/exam"></td> 
+                        <td align="center" tal:content="row/score_calc"></td>
+                        <td align="center" tal:content="row/grade"></td>
+                    </tr>
+                    <tr><td>&nbsp;</td>
+                    </tr>
+                </span>
+            </table>
+        </span>
+
+        <span tal:condition="python:False">      <br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50%>Date:</td><td>Date:</td>
+                </tr>
+            </table>    <br /><br /><br /><br />
+            <table width=100%>
+                <tr > 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black"> Student</td> 
+                    <td width=50% style="border-top-style:solid; border-top-width:1px; border-top-color:black">Course Adviser</td>
+                </tr>
+            </table>
+        </span>
+    </span>
+</span>
+</metal:main>
+</metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_ois/academic_report_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/academic_report_view.pt	(revision 3810)
+++ WAeUP_SRP/trunk/skins/waeup_ois/academic_report_view.pt	(revision 3811)
@@ -27,13 +27,13 @@
          tal:condition="python:True"> 
     <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" /> Academic Report Slip:
-    <a href="" target="slip" tal:attributes="href string:academic_report_slip_1"
+    <a href="" target="slip" tal:attributes="href string:callAcademicReportSlip?term=1"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
         Term 1 /
     </a>
-    <a href="" target="slip" tal:attributes="href string:academic_report_slip_2"
+    <a href="" target="slip" tal:attributes="href string:callAcademicReportSlip?term=2"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
         Term 2 /
     </a>
-    <a href="" target="slip" tal:attributes="href string:academic_report_slip_3"
+    <a href="" target="slip" tal:attributes="href string:callAcademicReportSlip?term=3"
         onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
         Term 3
Index: WAeUP_SRP/trunk/skins/waeup_ois/callAcademicReportSlip.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/callAcademicReportSlip.py	(revision 3811)
+++ WAeUP_SRP/trunk/skins/waeup_ois/callAcademicReportSlip.py	(revision 3811)
@@ -0,0 +1,11 @@
+## Script (Python) "callAcademicReportSlip"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=term
+##title=
+##
+
+return context.academic_report_slip(term = term)
Index: WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 3810)
+++ WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 3811)
@@ -96,4 +96,34 @@
 info['items'] = items
 
+complete1 = 0
+for r in normal1:
+   if r['grade']:
+       complete1 += 1
+if len(normal1) == complete1:
+    complete1 =  True
+else:
+    complete1 = False
+info['complete1'] = complete1     
+
+complete2 = 0
+for r in normal1:
+   if r['grade']:
+       complete2 += 1
+if len(normal2) == complete2:
+    complete2 =  True
+else:
+    complete2 = False
+info['complete2'] = complete2
+
+complete3 = 0
+for r in normal1:
+   if r['grade']:
+       complete3 += 1
+if len(normal3) == complete3:
+    complete3 =  True
+else:
+    complete3 = False
+info['complete3'] = complete3
+
 
 #end customization