Index: WAeUP_SRP/trunk/WAeUPImport.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPImport.py	(revision 3819)
+++ WAeUP_SRP/trunk/WAeUPImport.py	(revision 3820)
@@ -679,4 +679,5 @@
                            'wf_transition_graduate': 'close',
                            'wf_transition_pay_school_fee': 'close',
+                           'wf_transition_validate_courses': 'close',
                            'fields':
                              ('jamb_reg_no',
@@ -707,4 +708,5 @@
                            'wf_transition_graduate': 'close',
                            'wf_transition_pay_school_fee': 'close',
+                           'wf_transition_validate_courses': 'close',
                            'fields':
                              ('matric_no',
@@ -721,4 +723,5 @@
                            'wf_transition_graduate': 'close',
                            'wf_transition_pay_school_fee': 'open',
+                           'wf_transition_validate_courses': 'open',
                            'fields':
                              ('firstname',
@@ -738,4 +741,5 @@
                            'wf_transition_graduate': 'close',
                            'wf_transition_pay_school_fee': 'open',
+                           'wf_transition_validate_courses': 'open',
                            'fields':
                              ('study_course',
@@ -764,4 +768,5 @@
                            'wf_transition_graduate': 'close',
                            'wf_transition_pay_school_fee': 'open',
+                           'wf_transition_validate_courses': 'open',
                            'fields':
                              ()
@@ -802,5 +807,5 @@
             d = {}
             transition = mapping.get('reg_transition','admit')
-            if transition not in ('admit','return','pay_school_fee'):
+            if transition not in ('admit','return','pay_school_fee','validate_courses'):
                 msg = "no valid transition provided"
                 break
@@ -896,5 +901,6 @@
             current_level = mapping.get('current_level','')
             transition = mapping.get('reg_transition',None)
-            if transition and transition not in ('admit','return','graduate','pay_school_fee'):
+            # the validate_courses import transition is not really useful because it does not execute validate_courses.py
+            if transition and transition not in ('admit','return','graduate','pay_school_fee','validate_courses'):
                 msg = "no valid transition provided"
                 break     
Index: WAeUP_SRP/trunk/skins/waeup_default/get_csv_names.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/get_csv_names.py	(revision 3819)
+++ WAeUP_SRP/trunk/skins/waeup_default/get_csv_names.py	(revision 3820)
@@ -2,6 +2,4 @@
 # $Id$
 """
-Return the sessions as an vocabulary
-
 """
 files = context.waeup_tool.get_csv_filenames()
Index: WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 3819)
+++ WAeUP_SRP/trunk/skins/waeup_ois/getStudyLevelInfo.py	(revision 3820)
@@ -98,5 +98,5 @@
 complete1 = 0
 for r in normal1:
-   if r['grade']:
+   if r['grade'] and r['atl']:
        complete1 += 1
 if len(normal1) == complete1:
@@ -108,5 +108,5 @@
 complete2 = 0
 for r in normal1:
-   if r['grade']:
+   if r['grade'] and r['atl']:
        complete2 += 1
 if len(normal2) == complete2:
@@ -118,5 +118,5 @@
 complete3 = 0
 for r in normal1:
-   if r['grade']:
+   if r['grade'] and r['atl']:
        complete3 += 1
 if len(normal3) == complete3:
Index: WAeUP_SRP/trunk/skins/waeup_student/lecturer_course_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/lecturer_course_edit.py	(revision 3819)
+++ WAeUP_SRP/trunk/skins/waeup_student/lecturer_course_edit.py	(revision 3820)
@@ -50,5 +50,5 @@
 lecturer_id = getattr(course,'lecturer',None)
 #set_trace()
-if str(lecturer_id) != member_id:
+if str(lecturer_id) != member_id and not context.isSectionOfficer():
     logger.info('%s tried to access course result %s of %s but is not a lecturer of this course' % (member_id,course_id,requested_id))
     return REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())