Index: WAeUP_Doc/ExtendedInstructions/1InstallingZope.rst
===================================================================
--- WAeUP_Doc/ExtendedInstructions/1InstallingZope.rst	(revision 1617)
+++ WAeUP_Doc/ExtendedInstructions/1InstallingZope.rst	(revision 3860)
@@ -20,5 +20,5 @@
 installations from Zope instances. Usually, you only have *one
 installation of a certain Zope version* installed (in case of WAeUP:
-version 2.9.3), while there might be *several Zope instances* installed
+version 2.9.8), while there might be *several Zope instances* installed
 based on the one Zope installation, but located at different locations
 in the filesystem.
@@ -47,5 +47,5 @@
 five instances, which listen on five different ports. A browser is
 connected to port 8082, which is served by the 'waeup'-instance, which
-in turn deploys a Zope 2.9.3 installation (sharing it with two other
+in turn deploys a Zope 2.9.8 installation (sharing it with two other
 instances).
 
@@ -55,4 +55,19 @@
 
 TODO
+
+Installing Zope on MacOS X
+--------------------------
+
+Mostly the same as on Linux (see below).
+
+  * Your home directory (~) is `/Users/user`.
+  
+  * You need to install Developer Tools (XCode).
+  
+  * You need to install wget on your own (perhaps use MacPorts or Fink) or use curl.
+  
+  * Depending on your OS version you need to install an older Python version,
+    perhaps via MacPorts or Fink.
+    (*Don't touch Apple's default Python installation!*)
 
 Installing Zope on Linux
@@ -74,16 +89,16 @@
   ::
 
-    ~$ wget http://www.zope.org/Products/Zope/2.9.3/Zope-2.9.3.tgz
+    ~$ wget http://www.zope.org/Products/Zope/2.9.8/Zope-2.9.8-final.tgz
     ~$ mkdir -p zope/base zope/build zope/pkgs zope/instances
-    ~$ cp Zope-2.9.3.tgz zope/build
-    ~$ mv Zope-2.9.3.tgz zope/pkgs   
+    ~$ cp Zope-2.9.8-final.tgz zope/build
+    ~$ mv Zope-2.9.8-final.tgz zope/pkgs   
     ~$ cd zope/build
-    ~/zope/build$ tar -xzf Zope-2.9.3.tgz
-    ~/zope/build$ cd Zope-2.9.3
-    ~/zope/build/Zope-2.9.3$ ./configure --prefix=/home/user/zope/base/2_9_3
-    ~/zope/build/Zope-2.9.3$ make
-    ~/zope/build/Zope-2.9.3$ make install
-    ~/zope/build/Zope-2.9.3$ /home/user/zope/base/2_9_3/bin/mkzopeinstance.py -d /home/user/zope/instances/myinstance1 -u user:secret
-    ~/zope/build/Zope-2.9.3$ /home/user/zope/instances/myinstance1/bin/zopectl start
+    ~/zope/build$ tar -xzf Zope-2.9.8-final.tgz
+    ~/zope/build$ cd Zope-2.9.8-final
+    ~/zope/build/Zope-2.9.8-final$ ./configure --prefix=/home/user/zope/base/2_9_8
+    ~/zope/build/Zope-2.9.8-final$ make
+    ~/zope/build/Zope-2.9.8-final$ make install
+    ~/zope/build/Zope-2.9.8-final$ /home/user/zope/base/2_9_8/bin/mkzopeinstance.py -d /home/user/zope/instances/myinstance1 -u user:secret
+    ~/zope/build/Zope-2.9.8-final$ /home/user/zope/instances/myinstance1/bin/zopectl start
 
   *Fig. 2: Zope install on Linux / Short version*
@@ -97,9 +112,9 @@
   1. *Get the sources*
 
-     Get the Zope sources from http://www.zope.org/. For the
-     WAeUP-portal you currently need the 2.9.3 version of Zope, which can
-     be found here: http://www.zope.org/Products/Zope/2.9.3/Zope-2.9.3.tgz
-
-     Using the commandline you might change to your home directory ('cd') and
+     Get the Zope sources from `http://www.zope.org/`. For the
+     WAeUP-portal you currently need the 2.9.8 version of Zope, which can
+     be found here: `http://www.zope.org/Products/Zope/2.9.8/Zope-2.9.8-final.tgz`
+
+     Using the commandline you might change to your home directory (`cd`) and
      do (the dollar-sign here and elsewhere denotes the commandline
      prompt, the tilde in front of the dollar sign means: 'home directory'):
@@ -108,7 +123,7 @@
 
 	 ~$ cd
-         ~$ wget http://www.zope.org/Products/Zope/2.9.3/Zope-2.9.3.tgz
-         --16:03:00--  http://www.zope.org/Products/Zope/2.9.3/Zope-2.9.3.tgz
-               => `Zope-2.9.3.tgz'
+         ~$ wget http://www.zope.org/Products/Zope/2.9.8/Zope-2.9.8-final.tgz
+         --16:03:00--  http://www.zope.org/Products/Zope/2.9.8/Zope-2.9.8-final.tgz
+               => `Zope-2.9.8-final.tgz'
          Resolving www.zope.org... 63.240.213.171
          Connecting to www.zope.org|63.240.213.171|:80... connected.
@@ -118,5 +133,5 @@
          100%[====================================>] 8,010,113    203.30K/s    ETA 00:00
 
-         16:03:50 (156.42 KB/s) - `Zope-2.9.3.tgz' saved [8010113/8010113]
+         16:03:50 (156.42 KB/s) - `Zope-2.9.8-final.tgz' saved [8010113/8010113]
 
 
@@ -203,5 +218,5 @@
        ::
 
-         ~$ cp Zope-2.9.3.tgz zope/build
+         ~$ cp Zope-2.9.8-final.tgz zope/build
 
      Afterwards we put the sources into the pkgs-directory to keep it
@@ -210,5 +225,5 @@
        ::
 
-         ~$ mv Zope-2.9.3.tgz zope/pkgs
+         ~$ mv Zope-2.9.8-final.tgz zope/pkgs
 
      The command 'mv' *moves* a file to a different location, thereby
@@ -220,10 +235,10 @@
 
          ~$ cd zope/build
-         ~/zope/build$ tar -xzf Zope-2.9.3.tgz
+         ~/zope/build$ tar -xzf Zope-2.9.8-final.tgz
 
      The commandline options 'xzf' mean: e(x)tract the file, un(z)ip the
-     file and do the whole operation on the (f)ile Zope-2.9.3.tgz.
-
-     This creates a new subdirectory 'Zope-2.9.3' with all required
+     file and do the whole operation on the (f)ile Zope-2.9.8-final.tgz.
+
+     This creates a new subdirectory 'Zope-2.9.8-final' with all required
      sources.
 
@@ -234,5 +249,5 @@
        ::
 
-         ~/zope/build$ cd Zope-2.9.3
+         ~/zope/build$ cd Zope-2.9.8-final
 
      Here you can find a file configure, which is most important, to
@@ -242,5 +257,5 @@
        ::
 
-         ~/zope/build/Zope-2.9.3$ ./configure --help
+         ~/zope/build/Zope-2.9.8-final$ ./configure --help
 
          configure [--help] [--quiet] [--with-python=path] [--prefix=path]
@@ -255,5 +270,5 @@
 
          Given no options, configure will search your PATH for a suitable
-         Python interpreter and use '/usr/local/Zope-2.9.3' as a prefix.
+         Python interpreter and use '/usr/local/Zope-2.9.8-final' as a prefix.
 
      Basically, it tells you, that you can give a special Python
@@ -291,10 +306,10 @@
        ::
 
-         ~/zope/build/Zope-2.9.3$ ./configure --prefix=/home/user/zope/base/2_9_3
+         ~/zope/build/Zope-2.9.8-final$ ./configure --prefix=/home/user/zope/base/2_9_8
 
      Here we want Zope to be installed in
-     /home/user/zope/base/2_9_3. Note, that the path
+     /home/user/zope/base/2_9_8. Note, that the path
      /home/user/zope/base/ must already exist before executing the
-     above command, while the subdirectory '2_9_3' (yes, its a
+     above command, while the subdirectory '2_9_8' (yes, its a
      diretory name) should be created by the build process.
 
@@ -322,5 +337,5 @@
        ::
  
-         ~/zope/build/Zope-2.9.3$ make
+         ~/zope/build/Zope-2.9.8-final$ make
 
      and, if everything worked fine:
@@ -328,5 +343,5 @@
        ::
 
-         ~/zope/build/Zope-2.9.3$ make install
+         ~/zope/build/Zope-2.9.8-final$ make install
 
      The first step, the call of 'make', takes the biggest amount of
@@ -358,7 +373,7 @@
        ::
 
-         ~$ cd /home/user/zope/base/2_9_3
-
-     Instead of '2_9_3' you must use the name given to the prefix
+         ~$ cd /home/user/zope/base/2_9_8
+
+     Instead of '2_9_8' you must use the name given to the prefix
      option of the 'configure'-script above.
 
@@ -368,8 +383,8 @@
        ::
 
-         ~/zope/base/2_9_3$ ls
+         ~/zope/base/2_9_8$ ls
 	 bin  include  lib  skel  zopeskel
-         ~/zope/base/2_9_3$ cd bin
-         ~/zope/base/2_9_3/bin$ ls
+         ~/zope/base/2_9_8$ cd bin
+         ~/zope/base/2_9_8/bin$ ls
          analyze.py        fstail.py           requestprofiler.py   zeoctl.py
          checkbtrees.py    fstest.py           runzeo.py            zeopack.py
@@ -393,5 +408,5 @@
       ::
 
-        ~/zope/base/2_9_3/bin$ ./mkzopeinstance.py --help
+        ~/zope/base/2_9_8/bin$ ./mkzopeinstance.py --help
         mkzopeinstance.py:  Create a Zope instance home.
 
@@ -420,5 +435,5 @@
       ::
 
-        ~/zope/base/2_9_3/bin$ ./mkzopeinstance.py -d /home/user/zope/instances/myinstance1 -u user:secret
+        ~/zope/base/2_9_8/bin$ ./mkzopeinstance.py -d /home/user/zope/instances/myinstance1 -u user:secret
 
     This takes only about one second. If you do not give a username
@@ -485,5 +500,5 @@
 
     With growing version numbers of Zope also the Zope configuration
-    file grows larger and larger. For version 2.9.3 there are too many
+    file grows larger and larger. For version 2.9.8 there are too many
     options available in zope.conf, to discuss every single option
     herein.
@@ -595,2 +610,4 @@
 
 *Uli Fouquet*
+
+(updated in 2009-01 to Zope 2.9.8, as used by current WAeUP portals, by Hraban)
Index: WAeUP_Doc/ExtendedInstructions/2InstallingWAeUP.rst
===================================================================
--- WAeUP_Doc/ExtendedInstructions/2InstallingWAeUP.rst	(revision 3860)
+++ WAeUP_Doc/ExtendedInstructions/2InstallingWAeUP.rst	(revision 3860)
@@ -0,0 +1,71 @@
+=============================================
+Installing WAeUP (for training purposes only)
+=============================================
+
+After you successfully installed Zope, you can now
+add the WAeUP Products.
+
+First stop your running Zope daemon:
+
+  bin/zopectl stop
+
+
+Installing Collaborative Portal Server (CPS)
+--------------------------------------------
+
+Get the latest version of CPS for Zope 2.9, 
+that is 3.4.7 at the moment of this writing.
+
+  http://www.cps-project.org/static/src/CPS-platform-3.4.7.tar.gz
+
+Unpack it to the Products folder of your Zope instance.
+(The Products folder must not contain a CRS-platform folder, but its subfolders.)
+
+Make sure your Python installation contains the packages required by CPS (see their README.txt file).
+You need at least:
+
+* lxml
+
+Probably optional:
+
+* PIL (Python Imaging Library)
+* "ext"? for CPSOOo
+* pydot for CPSRelation.GraphDrawer
+* CPSRelation Redland for RDF
+* ldap for LDAP access
+
+
+Install other Products
+----------------------
+
+* AdvancedQuery 2.2 (see http://www.dieter.handshake.de/pyprojects/zope/#AdvancedQuery)
+* faster 0.5.1_uli (see http://agendaless.com/Members/tseaver/software/faster plus __init__.py patch by Uli)
+* QueueCatalog 1.5 (see http://zope.org/Members/ctheune/QueueCatalog/)
+
+
+Installing WAeUP SRP
+--------------------
+
+Checkout the WAeUP_SRP product from our svn to your Products folder: 
+
+  svn co https://svn.waeup.org/repos/WAeUP_SRP/trunk WAeUP_SRP
+  
+You'll need your WAeUP user name and password for the checkout.
+You need a folder called `WAeUP_SRP` inside the Products folder of your Zope instance.
+
+
+Start the Zope server and visit `http://localhost:8080/manage` in your browser.
+
+Add a `CPSDefault Site` (nothing else!) using the pull-down menu.
+
+Fill the fields as follows:
+
+ ::
+
+  Site ID: srp
+  Site Title: Student Registration Portal
+  Setup profile: WAeUP_SRP
+  Administrator Login: your Zope instance user name
+  Password: your Zope instance password
+  Extensions: one WAeUP profile
+  Site Languages: English only